aboutsummaryrefslogtreecommitdiffstats
path: root/sshcd/watch
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2014-02-16 02:15:08 +0100
committerMattias Andrée <maandree@operamail.com>2014-02-16 02:15:08 +0100
commitc6b60e34ae7f9ab67e23bcad069aff7588bfa309 (patch)
treea95ef4198c11693115f9180b9216fdc76cca2399 /sshcd/watch
parentupdate gitignore (diff)
downloadaur-packages-c6b60e34ae7f9ab67e23bcad069aff7588bfa309.tar.gz
aur-packages-c6b60e34ae7f9ab67e23bcad069aff7588bfa309.tar.bz2
aur-packages-c6b60e34ae7f9ab67e23bcad069aff7588bfa309.tar.xz
add sshcd
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to 'sshcd/watch')
-rwxr-xr-xsshcd/watch21
1 files changed, 21 insertions, 0 deletions
diff --git a/sshcd/watch b/sshcd/watch
new file mode 100755
index 0000000..3d44674
--- /dev/null
+++ b/sshcd/watch
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+[ -f sshcd ] && rm sshcd
+
+wget 'https://github.com/christianbundy/sshcd/releases' -O sshcd >/dev/null 2>/dev/null
+
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ grep -Po 'href="[^"]*\.tar\.gz"' < sshcd | md5sum > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'sshcd'
+ fi
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'sshcd (unfetchable)'
+fi
+